1. Virtual Account Creation
FOMO API (v20250225)
  • Authorization
  • Webhook
  • API
    • Account
      • Retrieve an account
      • List accounts
    • Transaction
      • Retrieve a transaction
      • List transactions
    • Virtual Account
      • Retrieve a virtual account
      • List virtual accounts
    • Intent
      • Virtual Account Creation
        • Create a virtual account creation intent
          POST
        • Update travel rule (for crypto virtual account)
          PATCH
        • Get a virtual account creation intent
          GET
        • Confirm a virtual account creation intent
          PATCH
    • Balance
      • Retrieve a balance
      • List balances
    • Payment
      • Clearing Account
        • Retrieve a clearing account
        • List clearing accounts
      • Clearing Entry
        • Retrieve a clearing entry
        • List clearing entries
      • Intent
        • Clearing Entry Execution
          • Create a clearing entry execution intent
          • Update clearing account
          • Update transfers
          • Confirm a clearing entry execution intent
          • Get a clearing entry execution intent
  1. Virtual Account Creation

Update travel rule (for crypto virtual account)

Prod Env
https://prod.fomoapis.com/v1
Prod Env
https://prod.fomoapis.com/v1
PATCH
https://prod.fomoapis.com/v1
/intents/virtual-account-creation/{virtual_account_creation_intent_id}/travel-rule

Request

Path Params

Header Params

Body Params application/json

Example
{
    "originator_type": "individual",
    "originator": {
        "name": "John Tan",
        "id": {
            "type": "passport",
            "value": "S7654321A",
            "country_of_issue": "SG"
        },
        "address": {
            "city": "Singapore",
            "country": "SG",
            "dependent_locality": "Singapore",
            "postal_code": "068907",
            "region": "Singapore",
            "address_lines": [
                "140 Robinson Road"
            ]
        },
        "date_of_birth": "2000-01-01",
        "place_of_birth": "Singapore"
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://prod.fomoapis.com/v1/intents/virtual-account-creation/0195282b-cd32-7250-92f1-1953c243e5ba/travel-rule' \
--header 'x-fomo-api-version;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "originator_type": "individual",
    "originator": {
        "name": "John Tan",
        "id": {
            "type": "passport",
            "value": "S7654321A",
            "country_of_issue": "SG"
        },
        "address": {
            "city": "Singapore",
            "country": "SG",
            "dependent_locality": "Singapore",
            "postal_code": "068907",
            "region": "Singapore",
            "address_lines": [
                "140 Robinson Road"
            ]
        },
        "date_of_birth": "2000-01-01",
        "place_of_birth": "Singapore"
    }
}'

Responses

🟢200Success
application/json
Body

Example
{
    "id": "string",
    "create_time": "string",
    "update_time": "string",
    "token": "string",
    "etag": "string",
    "customer_id": "string",
    "account_id": "string",
    "virtual_account_creation_intent_id": "0195282b-cd32-7250-92f1-1953c243e5ba",
    "originator_type": "individual",
    "originator": {
        "name": "John Tan",
        "id": {
            "type": "passport",
            "value": "S7654321A",
            "country_of_issue": "SG"
        },
        "address": {
            "city": "Singapore",
            "country": "SG",
            "dependent_locality": "Singapore",
            "postal_code": "068907",
            "region": "Singapore",
            "address_lines": [
                "140 Robinson Road"
            ]
        },
        "date_of_birth": "2000-01-01",
        "place_of_birth": "Singapore"
    }
}
Previous
Create a virtual account creation intent
Next
Get a virtual account creation intent
Built with